# Shop

> Base URL: `https://pos.pages.fm/api/v1`. Authenticate with the `api_key` query parameter.

## Shop information

`GET /shops`

Get shop information

### Responses

- `200` Success (object)

```json
{
  "shops": [
    {
      "avatar_url": "https://statics.pancake.vn/user-content-dev2.pancake.vn/2022/7/6/8678250807b2285e2752ac2cbbf43925f19a677c.jpeg",
      "name": "Shop thời trang",
      "id": 6036602,
      "link_post_marketer": [
        {
          "ad_account_id": null,
          "id": "949f1396-f6fa-45d9-93b6-4c37503a9950",
          "inserted_at": "2025-08-21T03:02:04",
          "marketer": "cee3c05e-5f85-43c4-b27e-889b99c50097",
          "multiple_post": [],
          "multiple_source": [
            {
              "account": "2284322048329488",
              "key": "-1",
              "page_id": "2284322048329488"
            }
          ],
          "shop_id": 6036602,
          "type": "source"
        }
      ],
      "pages": [
        {
          "id": "104438181227821",
          "name": "Quần áo",
          "platform": "facebook",
          "settings": {
            "auto_create_order": true
          },
          "shop_id": 20
        }
      ]
    }
  ],
  "success": true
}
```

## Get shop

`GET /shops/{SHOP_ID}`

Get one shop the caller belongs to, in the same shape as an item of the shop list. With a shop API key, the key's account needs the shop configuration permission.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |

### Responses

- `200` Success (object)

```json
{
  "success": true,
  "shop": {
    "id": 20,
    "name": "Shop thời trang",
    "avatar_url": "https://statics.pancake.vn/user-content-dev2.pancake.vn/2022/7/6/8678250807b2285e2752ac2cbbf43925f19a677c.jpeg",
    "currency": "VND",
    "preferred_shop": null,
    "link_post_marketer": [],
    "pages": [
      {
        "id": "104438181227821",
        "name": "Quần áo",
        "platform": "facebook",
        "settings": {
          "auto_create_order": true
        },
        "shop_id": 20
      }
    ]
  }
}
```
